Package org.apache.sysds.lops.compile.linearization

## Interface ILinearize

    public interface ILinearize

A interface for the linearization algorithms that order the DAG nodes into a sequence of instructions to execute. https://en.wikipedia.org/wiki/Linearizability#Linearization_points

### Nested Class Summary

Nested Classes
`static class` `ILinearize.DagLinearization`

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

Static Methods
`static List<Lop>` `linearize​(List<Lop> v)`

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

### Method Detail

#### linearize

    static List<Lop> linearize​(List<Lop> v)